<?php

namespace Drupal\content_moderation_permissions\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Verifies that nodes have a valid moderation state.
 *
 * @Constraint(
 *   id = "ModerationStatePermissions",
 *   label = @Translation("Valid moderation state per content type", context = "Validation")
 * )
 */
class ModerationStateConstraint extends Constraint {

  /**
   * The default violation message.
   *
   * @var string
   */
  public $message = 'Invalid state transition from %from to %to for content type %content_type';

  /**
   * The default invalid state message.
   *
   * @var string
   */
  public $invalidStateMessage = 'State %state does not exist on %workflow workflow for content type %content_type';

  /**
   * The default invalid transition access message.
   *
   * @var string
   */
  public $invalidTransitionAccess = 'You do not have access to transition from %original_state to %new_state for content type %content_type';

}
